org.apache.sling.testing.tools.sling

## Interface SlingInstance

All Known Implementing Classes:
  SlingTestBase

    public interface SlingInstance

Interface used to communicate with a sling instance

### Method Summary

All Methods Instance Methods Abstract Methods
`RequestBuilder` `getRequestBuilder()` Start server if needed, and return a RequestBuilder that points to it
`RequestExecutor` `getRequestExecutor()` Returns a RequestExecutor for this server
`String` `getServerBaseUrl()` Start server if needed, and return its base URL
`String` `getServerPassword()` Return password configured for execution of HTTP requests
`String` `getServerUsername()` Return username configured for execution of HTTP requests

### Method Detail

#### getRequestBuilder

    RequestBuilder getRequestBuilder()

Start server if needed, and return a RequestBuilder that points to it

#### getServerBaseUrl

    String getServerBaseUrl()

Start server if needed, and return its base URL

#### getServerUsername

    String getServerUsername()

Return username configured for execution of HTTP requests

#### getServerPassword

    String getServerPassword()

Return password configured for execution of HTTP requests

#### getRequestExecutor

    RequestExecutor getRequestExecutor()

Returns a RequestExecutor for this server